#!/bin/bash
# Add contrib and non-free to repositories
if [ ! "$(grep -E "non-free" /etc/apt/sources.list)" ]; then
  sed -i '/deb http:\/\/deb.debian.org\/debian\/ bullseye main/s/$/ contrib non-free/' /etc/apt/sources.list
fi

# Uninstall unnecessary packages
apt-get -y purge libreoffice* atril xfce4-dict ristretto xsane hv3 exfalso parole xterm mousepad
apt-get -y autoremove

# Upgrade and install software (don't add i386 if you don't need it, only needed for Steam,...)
dpkg --add-architecture i386
apt-get update
apt-get -y upgrade
apt-get -y install gedit xfce4-screenshooter xfce4-taskmanager flameshot gvfs-backends rar unrar bzip2 gnome-disk-utility

# Disable GRUB timeout and theme
sed -i "/GRUB_TIMEOUT=/c\GRUB_TIMEOUT=0" /etc/default/grub
sed -i "/RUB_TERMINAL=/c\GRUB_TERMINAL=console" /etc/default/grub
export PATH=$PATH:/usr/bin:/usr/sbin
update-grub