# Add non-free contrib and non-free-firmware to /etc/apt/sources.list

# Remove uneseccary apps
apt-get -y purge libreoffice* akregator kdepim-themeeditors zutty kde-spectacle pim-sieve-editor pim-data-exporter okular dragonplayer gimp gwenview kdeconnect kmail kdepim-themeeditors kmousetool kmouth knotes konqueror kontrast korganizer juk kaddressbook
apt-get -y autoremove

# Add favorite apps
apt-get -y install plasma-discover-backend-flatpak flameshot peek xfce4-terminal vlc gnome-disk-utility
flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

# Upgrade and install software (don't add i386 if you don't need it, only needed for Steam,...)
dpkg --add-architecture i386
apt-get update
apt-get -y upgrade
apt-get -y install gedit xfce4-screenshooter xfce4-taskmanager flameshot gvfs-backends rar unrar bzip2 gnome-disk-utility

# Disable GRUB timeout and theme
sed -i "/GRUB_TIMEOUT=/c\GRUB_TIMEOUT=0" /etc/default/grub
sed -i "/RUB_TERMINAL=/c\GRUB_TERMINAL=console" /etc/default/grub
export PATH=$PATH:/usr/bin:/usr/sbin
update-grub